# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Config/Tiny.pm) perl(Cwd.pm) perl(Digest/MD5.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(PPI.pm) perl(PPI/Util.pm) perl(Storable.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 1.09
%define module_name Perl-Signature
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt1
Summary: Generate functional signatures for Perl source code
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
In early beta, the PPI manpage introduced the concept of "Document Normalization"
into the core. It had previously only been implemented "behind the scenes"
as part of the Perl::Compare manpage.

Unfortunately, there isn't a whole lot of things you can do with a
the PPI::Document::Normalized manpage object. It's a giant twisty mass of objects
and perl structure, and not very practical for long term storage.

the Perl::Signature manpage implements the idea of a "functional signature" for
Perl documents, implemented in a similar way to the Object::Signature manpage.

The normalized document is serialized to a string with the Storable manpage, then
this string is converted into a MD5 hash, producing a single short string
which represents the functionality of the Perl document.

This signature can then be stored and transfered easily, and at any later
point the signature can be regenerated for the file to ensure that it has
not changed (functionally).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- initial import by package builder

